# TMCHashMap< Key, T > Class Template Reference

Inheritance diagram for TMCHashMap< Key, T >:

List of all members.

## Public Member Functions
| TMCHashMap (uint32 size)
virtual boolean | SetElemSpace (const uint32 n)
const T * | FindElem (const Key &key, boolean fromStart=true) const
int32 | FindElemIndex (const Key &key, boolean fromStart=true) const
void | EraseElem (const Key &key)
uint32 | AddElem (const Key &key, const T &elem, boolean &found, const boolean fromStart=true)
virtual void | ResetDatas ()
## Private Member Functions
int32 | FindInArray (const TMCArray< uint32 > *array, const Key &key, const boolean fromStart) const
## Private Attributes
TMCClassArray< Key > | fHashKey

### template<class Key, class T>
class TMCHashMap< Key, T >

## Constructor & Destructor Documentation

template<class Key , class T >

TMCHashMap< Key, T >::TMCHashMap | ( | uint32 | size | ) | `[inline]`

## Member Function Documentation

template<class Key , class T >

uint32 TMCHashMap< Key, T >::AddElem | ( | const Key & | key,
|  | const T & | elem,
|  | boolean & | found,
|  | const boolean | fromStart = `true` |
| ) |  |  | `[inline]`

template<class Key , class T >

void TMCHashMap< Key, T >::EraseElem | ( | const Key & | key | ) | `[inline]`

template<class Key , class T >

const T * TMCHashMap< Key, T >::FindElem | ( | const Key & | key,
|  | boolean | fromStart = `true` |
| ) |  |  | const`[inline]`

template<class Key , class T >

int32 TMCHashMap< Key, T >::FindElemIndex | ( | const Key & | key,
|  | boolean | fromStart = `true` |
| ) |  |  | const`[inline]`

template<class Key , class T >

int32 TMCHashMap< Key, T >::FindInArray | ( | const TMCArray< uint32 > * | array,
|  | const Key & | key,
|  | const boolean | fromStart |
| ) |  |  | const`[inline, private]`

template<class Key , class T >

virtual void TMCHashMap< Key, T >::ResetDatas | ( |  | ) | `[inline, virtual]`

Reimplemented from TMCHashCommon< Key, T >.

template<class Key , class T >

boolean TMCHashMap< Key, T >::SetElemSpace | ( | const uint32 | n | ) | `[inline, virtual]`

Reimplemented from TMCHashCommon< Key, T >.

## Member Data Documentation

template<class Key , class T >

TMCClassArray<Key> TMCHashMap< Key, T >::fHashKey`[private]`

The documentation for this class was generated from the following file:

- MCHash.h